function Remove-ITDSolarwindsNode {
    [CmdletBinding()]
    param (
        [string]
        $ComputerName,

        [PSCredential]
        $Credential
    )
    
    begin {
    }
    
    process {
        
        $Func = {
            Import-Module -Name ITDSolarwinds -Verbose
            $test = Get-SWNode -ComputerName $args[0]
            If ($test) {
                Write-Warning "Solarwinds node found, removing it..."
                Remove-SWNode -ComputerName $args[0]
            }
            Else {
                Write-Warning "Solarwinds node not found"
            }
        }
    
        Invoke-Command -ComputerName itdslrwnds.nd.gov -ScriptBlock $Func -ArgumentList $ComputerName -Credential $Credential
    }
    
    end {
        
    }
}